% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/corls_test.R
\name{corls.test}
\alias{corls.test}
\title{Monte-Carlo Test on the sum of the singular values of a procustean rotation.}
\usage{
corls.test(..., permutations = permute::how(nperm = 999),
  p.adjust.method = "holm")
}
\arguments{
\item{...}{the set of matrices or a \code{\link[ProcMod]{procmod.frame}}
object.}

\item{permutations}{a list of control values for the permutations as returned
by the function \code{\link[permute]{how}}, or the number of
permutations required.}

\item{p.adjust.method}{the multiple test correction method used
to adjust p values. \code{p.adjust.method}
belongs one of the folowing values: \code{"holm"},
\code{"hochberg"}, \code{"hommel"}, \code{"bonferroni"},
\code{"BH"}, \code{"BY"}, \code{"fdr"},  \code{"none"}.
The default is,set to \code{"holm"}.}
}
\description{
performs a Monte-Carlo Test on the sum of the singular values of a
procustean rotation (see \code{\link[ade4]{procuste.rtest}}).
}
\references{
{
 \insertRef{Jackson:95:00}{ProcMod}
}
}
\seealso{
\code{\link[stats]{p.adjust}}
}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
